<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.gh.gamecenter.common.view.StatusBarView
        android:id="@+id/status_bar"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_top_background"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@color/ui_background"
        android:scaleType="centerCrop"
        android:src="@drawable/bg_forum_home_top"
        app:layout_constraintBottom_toBottomOf="@id/rv_followed_header"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_followed_header"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:alpha="0"
        android:paddingBottom="32dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/status_bar"
        tools:listitem="@layout/recycler_followed_list_bbs" />

    <ImageView
        android:id="@+id/iv_indicator"
        android:layout_width="16dp"
        android:layout_height="8dp"
        android:src="@drawable/ic_follow_dynamic_up"
        app:layout_constraintBottom_toBottomOf="@id/rv_followed_header"
        app:layout_constraintEnd_toStartOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_marginBottom="16dp"/>

    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/view_pager"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:alpha="0"
        android:translationY="75dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_indicator" />
</androidx.constraintlayout.widget.ConstraintLayout>